-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Tonic.TonicBars.Bars.BarManager";
import "Tonic.TonicBars.SettingsManager";
import "Tonic.TonicBars.Events.EventManager";
import "Tonic.TonicBars.Localization.Localizer";
import "Tonic.Utils.TonicBarWrapper";
import "Tonic.TonicBars.Menu.MainMenu";
import "Tonic.TonicBars.Enumerations";
import "Tonic.TonicBars.DefaultConfiguration.ConfigurationHelper";


-- player = Turbine.Gameplay.LocalPlayer.GetInstance();
-- att = player:GetClassAttributes();
-- att.FocusChanged = function(sender,args)
	-- Turbine.Shell.WriteLine( "Testing" );
-- end

function GetPlayer()
	player = Turbine.Gameplay.LocalPlayer.GetInstance();
	playerClass = player:GetClass();
	realClassSet = true;
end
if ( pcall( GetPlayer ) == false ) then
	player = Turbine.Gameplay.LocalPlayer();
end
	
maitre_d = nil;
mc = nil;
theSettingsManager = SettingsManager();

if ( playerClass == nil ) then
	local settings = theSettingsManager:GetSettings();
	if ( settings.playerClass == nil ) then
		settings.playerClass = 162;
	end
	playerClass = settings.playerClass;
end

-- Load Events
eventManager = Tonic.TonicBars.Events.EventManager();

-- Load Localization Settings.
theLocalizer = Tonic.TonicBars.Localization.Localizer();
theLocalizer:LoadLocalizedEvents();
LOCALESTRINGS = theLocalizer:GetStrings();

eventManager:StartManager(); -- Start watching for effects.

maitre_d = Tonic.TonicBars.Bars.BarManager();

configHelper = Tonic.TonicBars.DefaultConfiguration.ConfigurationHelper(); -- Start default configuration Helper
import "Tonic.TonicBars.DefaultConfiguration.MainConfig"
mc = Tonic.TonicBars.DefaultConfiguration.MainConfig();
mc:CheckConfiguration();

menu = Tonic.TonicBars.Menu.MainMenu();

wrapper = Tonic.Utils.TonicBarWrapper( menu );

Turbine.Plugin.Unload = function(self, sender, args)
	for key, value in pairs (maitre_d.GetBars()) do
		value:ClearQuickslots();
	end
end